dscreate(1)

NAME
dscreate

SYNOPSIS
dscreate [-h] [-v] {from-file,interactive,create-template} ...

OPTIONS

  Sub-commands

dscreate from-file
    Create an instance of Directory Server from an inf answer file

dscreate interactive
    Start interactive installer for Directory Server installation

dscreate create-template
    Display an example inf answer file, or provide a file name to write it to disk.

OPTIONS 'dscreate from-file'
usage: dscreate from-file [-h] [-n] file

file
    Inf file to use with prepared answers. You can generate an example of this
    with 'dscreate create-template'

-n, --dryrun
    Validate system and configurations only. Do not alter the system.

OPTIONS 'dscreate interactive'
usage: dscreate interactive [-h]

OPTIONS 'dscreate create-template'
usage: dscreate create-template [-h] [template_file]

template_file
    Write example template to this file

-v, --verbose
    Display verbose operation tracing during command execution

AUTHORS
lib389 was written by Red Hat Inc. <389-devel@lists.fedoraproject.org>.

DISTRIBUTION
The latest version of lib389 may be downloaded from http://www.port389.org/docs/389ds/FAQ/upstream-test-framework.html